﻿<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="AddDefect.ascx.cs" Inherits="PureChat.Plugins.OnTime.AddDefect" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<%@ register assembly="PureChat.Plugins.OnTime" namespace="PureChat.Plugins.OnTime" tagprefix="cc1" %>
<div class="OnTimePlugin_Header"><div class="OnTimePlugin_Header_Text">Add Defect</div></div>
<div class="OnTimePlugin_AddContainer">
	<table border="0" cellspacing="2" cellpadding="0" style="width: 100%;" width="100%">
		<tr>
			<td class="OnTimePlugin_LabelColumn">Defect Name:</td>
			<td>
				<asp:textbox id="txtDefectName" runat="server" cssclass="OnTimePlugin_DataColumn_TextBox" />
			</td>
		</tr>
		<tr>
			<td class="OnTimePlugin_LabelColumn">Assign To:</td>
			<td>
				<asp:dropdownlist id="ddlUsers" runat="server" />
			</td>
		</tr>
		<tr>
			<td class="OnTimePlugin_LabelColumn">Project:</td>
			<td>
				<cc1:hierarchydropdown id="ddlProjects" runat="server" />
			</td>
		</tr>
		<tr>
			<td class="OnTimePlugin_LabelColumn">Status:</td>
			<td>
				<asp:dropdownlist id="ddlStatus" runat="server" />
			</td>
		</tr>
		<tr>
			<td valign="top" class="OnTimePlugin_LabelColumn">Description:</td>
			<td valign="top">
				<asp:textbox id="txtDescription" runat="server" textmode="MultiLine" width="97%" rows="10" />
			</td>
		</tr>
	</table>
	<div class="OnTimePlugin_ButtonContainer">
		<asp:button id="btnSave" runat="server" text="Add Defect" />
		&nbsp;
		<input type="button" id="btnCancel" value="Cancel" onclick="closeWindow();" />
	</div>
</div>
<asp:panel id="messagePanel" runat="server">
	<div class="OnTimePlugin_MessagePanel">
		<div class="OnTimePlugin_MessagePanel_Message" id='messageSpan'></div>
		<br /><br />
		<div class="OnTimePlugin_Centering" style="margin-bottom: 8px">
			<input type='button' id='closeMessageButton' value='Ok' onclick='closeMessagePanel();' />
		</div>
	</div>
</asp:panel>
<ajaxtoolkit:modalpopupextender id="messagePopup" runat="server" popupcontrolid="messagePanel" targetcontrolid="messagePanel" backgroundcssclass="OnTimePlugin_Modal_Background" />
<script type="text/javascript" language="javascript">
	
	var afterMessageFunc;
	
	function closeMessagePanel()
	{
		setTimeout('closeMessagePanelTimer();', 50);
	}
	
	function closeMessagePanelTimer()
	{
		var obj = $find(messagePopupId);
		obj.hide();
		if(afterMessageFunc)
			afterMessageFunc();
	}
	
	function showMessageWindow(msg)
	{
		$get('messageSpan').innerHTML = msg;
		var obj = $find(messagePopupId);
		obj.show();
	}
	
	var url = '';
	
	function showSuccessMessage(msg)
	{
		url = String.format(url, "'");
		msg = String.format(msg, url);
		$get('messageSpan').innerHTML = msg;
		var obj = $find(messagePopupId);
		obj.show();
	}
</script>