<%@ Page Language="C#" AutoEventWireup="false" Inherits="PureChat.PureChatPage" validaterequest="false" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>PureChat</title>
    <link rel="stylesheet" type="text/css" href="PureChat.css" />
    <style type="text/css" media="screen">
		body
		{
			margin: 0;
			padding: 0
		}
		
		html
		{
			margin: 0;
			padding: 0
		}
    </style>
</head>
<body>
    <form id="pureChatForm" runat="server">
		<input type="hidden" id="hidChatId" runat="server" />
		<asp:scriptmanager id="pureChatScriptManager" runat="server">
			<services>
				<asp:servicereference path="PureChatWebService.asmx" />
			</services>
		</asp:scriptmanager>
		<div class="PureChat_Header" id="purechat_header" runat="server">
			<asp:image id="headerImage" runat="server" alternatetext="PureChat" enableviewstate="false" />
		</div>
		<div id="chatMainContainer" style="display: none">
			<div id="chatRequestWindow" runat="server" visible="true">
				<table border="0" cellpadding="2" cellspacing="2" class="PureChat_ChatRequestTable">
					<tr>
						<td class="PureChat_InputLabel"><asp:literal id="nameLiteral" runat="server" enableviewstate="false" text="Enter your Name:" /></td>
						<td>
							<asp:textbox id="chatRequestNameTextbox" runat="server" enableviewstate="false" cssclass="PureChat_InputBox_Large" maxlength="30" />
							<asp:requiredfieldvalidator id="reqName" runat="server" controltovalidate="chatRequestNameTextbox" enableviewstate="false" enableclientscript="true" display="dynamic" errormessage="Please enter your name.">*</asp:requiredfieldvalidator>
						</td>
					</tr>
					<tr id="emailRow" runat="server" visible="false">
						<td class="PureChat_InputLabel"><asp:literal id="emailLiteral" runat="server" enableviewstate="false" text="Email Address:" /></td>
						<td>
							<asp:textbox id="chatRequestEmailTextbox" runat="server" enableviewstate="false" cssclass="PureChat_InputBox_Large" />
							<asp:requiredfieldvalidator id="reqEmail" runat="server" controltovalidate="chatRequestEmailTextbox" enableviewstate="false" enableclientscript="true" errormessage="Please enter your email address.">*</asp:requiredfieldvalidator>
						</td>
					</tr>
					<tr>
						<td class="PureChat_InputLabel"><asp:literal id="Literal1" runat="server" enableviewstate="false" text="Enter your question(s):" /></td>
						<td>
							<asp:textbox id="chatRequestSubjectTextbox" runat="server" enableviewstate="false" cssclass="PureChat_InputBox_Large" maxlength="150" />
							<asp:requiredfieldvalidator id="reqSubject" runat="server" controltovalidate="chatRequestSubjectTextbox" enableviewstate="false" enableclientscript="true" errormessage="Please enter the subject.">*</asp:requiredfieldvalidator>
						</td>
					</tr>
					<tr>
						<td colspan="2" align="center">
							<asp:button id="chatRequestButton" runat="server" cssclass="PureChat_InputButton" enableviewstate="false" text="Submit Chat Request" causesvalidation="true" />
						</td>
					</tr>
				</table>
				<asp:validationsummary id="valSummary" runat="server" enableviewstate="false" enableclientscript="true" showsummary="false" showmessagebox="true" />
			</div>
			<div id="chatWindow" runat="server" visible="false" class="PureChat_MainWindow">
				<asp:literal id="javascriptLiteral" runat="server" enableviewstate="false" />
				<div>
					<div id="pureChatWindow" runat="server" class="PureChat_ChatWindow"></div>
					<span class="PureChat_ChatBoxLabel">Enter your message here:</span><br />
					<asp:textbox id="pureChatBox" runat="server" cssclass="PureChat_ChatBox" width="98%" textmode="multiLine" rows="2" enableviewstate="false" />
					<div id="pureChatStatus" class="PureChat_StatusWindow"></div>
				</div>
				<div id="soundContainer" style="height: 1px; width: 1px"></div>
				<asp:panel id="waitingPanel" runat="server">
					<div class="PureChat_WaitingPanel" id="waitingDiv">
						<div>
							<div id="firstWaitingDiv">A chat operator will join you as soon as possible.<br />Would you like to continue waiting?<br /><br /><br /></div>
							<div id="secondWaitingDiv" style="display:none">We may be experiencing difficulties or extraordinary chat volumes.<br />Would you like to continue to wait for an operator to assist you?<br /><br /><br /></div>
							<div class="PureChat_Centering">
								<input type="button" value="Keep Waiting" onclick="setTimeout('pureChat_ContinueWaiting();', 25);" class="PureChat_InputButton" />
								<asp:button id="btnLeaveMessage" runat="server" text="Leave a Message" cssclass="PureChat_InputButton" causesvalidation="false" />
							</div>
						</div>
					</div>
				</asp:panel>
				<ajaxtoolkit:modalpopupextender id="waitingPopup" runat="server" popupcontrolid="waitingPanel" targetcontrolid="waitingPanel" backgroundcssclass="PureChat_Modal_Background"  />
			</div>
			<div id="emailWindow" runat="server" visible="false" class="PureChat_EmailMainWindow">
				<div class="PureChat_Email_Header">Thank your for sending us your message.  Be sure to include your email address so we can respond as soon as possible.  If you would like us to contact you via telephone, please include your telephone number.</div>
				<table border="0" cellpadding="2" cellspacing="2" width="100%" style="width: 100%">
					<tr>
						<td>Name</td>
					</tr>
					<tr>
						<td><asp:textbox id="txtName" runat="server" cssclass="PureChat_InputBox_Large" /></td>
					</tr>
					<tr>
						<td>Email Address</td>
					</tr>
					<tr>
						<td>
							<asp:textbox id="txtEmail" runat="server" cssclass="PureChat_InputBox_Large" />
							<asp:requiredfieldvalidator validationgroup="Email" id="reqSendEmail" runat="server" controltovalidate="txtEmail" enableclientscript="true" display="Dynamic" errormessage="Please enter your email address.">*</asp:requiredfieldvalidator>
						</td>
					</tr>
					<tr>
						<td>Subject</td>
					</tr>
					<tr>
						<td>
							<asp:textbox id="txtSubject" runat="server" cssclass="PureChat_InputBox_Large" />
						</td>
					</tr>
					<tr>
						<td>Body</td>
					</tr>
					<tr>
						<td>
							<asp:textbox id="txtBody" runat="server" textmode="multiLine" rows="3" cssclass="PureChat_InputBox_Large" />
						</td>
					</tr>
					<tr>
						<td align="center">
							<asp:button id="btnSendEmail" runat="server" text="Send" cssclass="PureChat_InputButton" validationgroup="Email" causesvalidation="true" />
						</td>
					</tr>
				</table>
				<asp:validationsummary id="valEmailSummary" runat="server" validationgroup="Email" displaymode="bulletList" showmessagebox="true" showsummary="false" />
			</div>
			<div id="emailSentWindow" runat="server" visible="false" class="PureChat_EmailSentWindow">
				<div class="PureChat_EmailSent_Header">Your message has been sent</div>
				<br />
				<div>Thank you for sending us your comment or question. We will respond as soon as possible.</div>
				<br /><br />
				<div class="PureChat_Centering">
					<input type="button" class="PureChat_InputButton" value="Close" onclick="window.close();" />
				</div>
			</div>
			<asp:panel id="ratingPanel" runat="server">
				<div class="PureChat_RatingPanel" id="ratingDiv">
					<div>Please rate your experience:</div>
					<div style="float:left; margin-left: 67px; margin-top: 15px"><ajaxtoolkit:rating id="chatRating" runat="server" cssclass="PureChat_RatingControl" currentrating="0" maxrating="5" starcssclass="ratingStar" waitingstarcssclass="savedRatingStar" filledstarcssclass="filledRatingStar" emptystarcssclass="emptyRatingStar" onchanged="PureChat_RatingChanged" /></div>
					<div class="PureChat_Centering" style="clear: both; margin-top: 40px; font-size: x-small;"><br /><a href="javascript:void(0);" onclick="pureChat_SubmitRatingNoThanks();">I prefer not to rate</a></div>
				</div>
				<div class="PureChat_RatingPanel" id="ratingCompleteDiv" style="display: none">
					<div>Thanks for using PureChat!</div>
					<br />
					<div><a target="_blank" id="getTranscriptLink" href="">Get Transcript</a></div>
					<br /><br />
					<div class="PureChat_Centering"><input type="button" value="Close" class="PureChat_InputButton" onclick="window.close();" /></div>
				</div>
			</asp:panel>
			<ajaxtoolkit:modalpopupextender id="ratingPopup" runat="server" popupcontrolid="ratingPanel" targetcontrolid="ratingPanel" backgroundcssclass="PureChat_Modal_Background"  />
		</div>
		<div class="PureChat_Footer"><a href="http://www.axosoft.com/" target="_blank">Axosoft</a></div>
    </form>
</body>
</html>
